Bug 1293994 - OData 4 support with Olingo
OData 4 support with Olingo
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
Filip Elias
Depends On:
  Show dependency treegraph
Reported: 2015-12-23 18:48 EST by Hisanobu Okuda
Modified: 2016-06-07 11:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-24 09:01:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2973 Major Closed OData 4 support with Olingo 2017-07-04 06:58 EDT

  None (edit)
Description Hisanobu Okuda 2015-12-23 18:48:22 EST
Description of problem:
OData 4 support with Olingo
Whenever an olingo final is available for odata 3/4 we'll want to utilize that. The best guess now is that this will happen in the 8.9 timeframe. Additional support can then be added for later odata features, which will have subtasks as necessary.

Version-Release number of selected component (if applicable):
JDV 6.x

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Van Halbert 2015-12-24 09:01:27 EST
This will only be available in the upcoming DV 6.3 release.  As this has been asked for before to back port to DV 6.2.  But this is not just a version upgrade in order to support OData4, this has major impact regarding implementation.
Comment 3 JBoss JIRA Server 2016-06-07 11:26:00 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2973 to Closed

Note You need to log in before you can comment on or make changes to this bug.